Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class WMPSProtocolFactory

    java.lang.Object
      org.deegree.ogcwebservices.wmps.operation.WMPSProtocolFactory

    public class WMPSProtocolFactory

extends Object

Factory that builds the different types of WMPS-Requests & Responses.

Version:
  2.0
Author:
  Anup Deshmukh

Constructor Summary
`WMPSProtocolFactory()`

Method Summary
`static WMPSGetCapabilitiesResult` | `createGetCapabilitiesResult(OGCWebServiceRequest request, OGCWebServiceException exception, WMPSCapabilities capabilities)` creates an instance of a `WMPSGetCapabilitiesResult` object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPSProtocolFactory

    public WMPSProtocolFactory()

Method Detail

### createGetCapabilitiesResult

    public static WMPSGetCapabilitiesResult createGetCapabilitiesResult(OGCWebServiceRequest request,
                                                                        OGCWebServiceException exception,
                                                                        WMPSCapabilities capabilities)

  creates an instance of a `WMPSGetCapabilitiesResult` object

  Parameters:
    `request` - request that lead to the response
    `exception` - exception if one occuered
    `capabilities` - WMS capabilities
  Returns:
    `WMPSGetCapabilitiesResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org